> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Refund

> Error codes for POST /v3/refund

### POST v3/refund

| Code  | Message                                                                                                                                                                                   | HTTP Status |
| ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| 30000 | Invalid payin\_id, should have prefix 'chk\_' or 'esc\_' and should be followed by valid xid                                                                                              | 400         |
| 30001 | Invalid payment\_attempt\_id, should have prefix 'pat\_' and should be followed by valid xid                                                                                              | 400         |
| 30002 | Field must have a value greater than 0                                                                                                                                                    | 400         |
| 30004 | Please provide a valid source                                                                                                                                                             | 400         |
| 30005 | Please provide a valid webhook URL                                                                                                                                                        | 400         |
| 30006 | Field payment\_attempt\_id is missing, please provide a valid id with prefix 'pat\_' and should be followed by valid xid                                                                  | 400         |
| 30007 | Request params are missing, please provide either 'payin' or 'payment\_attempt'                                                                                                           | 400         |
| 30008 | Can not initiate refunds for payin which has multiple payment attempts                                                                                                                    | 400         |
| 30009 | Can not initiate refund for unsuccessful payment attempt, refund can be requested only on succeeded payment attempts.                                                                     | 409         |
| 30010 | Refund is already completed for the requested payment attempt                                                                                                                             | 400         |
| 30011 | Refunds cannot be initiated for this payment attempt. Reach out to [support@tazapay.com](mailto:support@tazapay.com) for further assistance with refunds.                                 | 400         |
| 30012 | The requested refund amount exceeds the total paid amount of the payment attempt, taking into account any previous refunds.                                                               | 400         |
| 30014 | Refund can't be processed as the buyer phone number isn't present.                                                                                                                        | 400         |
| 30015 | Invalid refund reason, please provide a valid reason                                                                                                                                      | 400         |
| 30016 | Collect object can not be refunded. Reach out to [support@tazapay.com](mailto:support@tazapay.com) for further assistance with refunds.                                                   | 400         |
| 30017 | Your account is currently not authorized to initiate refunds. Reach out to [support@tazapay.com](mailto:support@tazapay.com) for further assistance with refunds.                         | 400         |
| 30019 | Please provide customer details with email, customer details are required for refund processing.                                                                                          | 400         |
| 30020 | Your account is currently not authorized to initiate refunds for this payment method. Reach out to [support@tazapay.com](mailto:support@tazapay.com) for further assistance with refunds. | 400         |
| 30021 | Partial refund not supported for this payment method. Please provide full amount or reach out to [support@tazapay.com](mailto:support@tazapay.com) for further assistance with refunds.   | 400         |
| 30022 | Requested refund amount is below the minimum limit for this payment method.                                                                                                               | 400         |
| 30027 | Refunds are not allowed for transactions older than the allowed period for this payment method.                                                                                           | 400         |
| 31001 | User is not authorized to perform this action                                                                                                                                             | 403         |
| 31003 | You are not allowed to perform this action since your account is in Dormant status.                                                                                                       | 400         |
| 31004 | You are not allowed to perform this action since your account is in Terminated status.                                                                                                    | 400         |
